--[[
Descripttion:请求外部http
version:
Author: Neo,Huang
Date: 2022-07-04 11:24:54
LastEditors: Neo,Huang
LastEditTime: 2022-07-05 10:05:41
--]]
local skynet = require("skynet")
local snax = require("snax")

local root = {}

function root:send_get_req(url, param)
    local handle = snax.uniqueservice("srvHttpClient")
    skynet.send(handle, "lua", "request", url, param, nil, true)
end

function root:send_post_req(url, param)
    local handle = snax.uniqueservice("srvHttpClient")
    skynet.send(handle, "lua", "request", url, nil, param, true)
end

function root:call_get_req(url, param)
    local handle = snax.uniqueservice("srvHttpClient")
    local ok, ret, err = skynet.call(handle, "lua", "request", url, param, nil)
    if not ok or err then
        return false
    end
    return true, ret
end

function root:call_post_req(url, param)
    local handle = snax.uniqueservice("srvHttpClient")
    local ok, ret, err = skynet.call(handle, "lua", "request", url, nil, param)
    if not ok or err then
        return false
    end

    return true, ret
end

return root
