--[[
Descripttion:节点信息
version:
Author: Neo,Huang
Date: 2021-09-17 10:03:39
LastEditors: Neo,Huang
LastEditTime: 2021-09-17 10:06:57
--]]
local moduleData = require("data.module")

local MODULE_NAME = "session"

local root = {}

-- 更新玩家节点信息
function root:user_update_cluster_info(uid, clusterName, nodeInfo)
    if uid == nil or is_empty(clusterName) then
        return false
    end
    moduleData:hset(uid, MODULE_NAME, clusterName, nodeInfo)
    return true
end
-- 获取节点信息
function root:user_get_cluster_info(uid, clusterName)
    if uid == nil or is_empty(clusterName) then
        return
    end
    local nodeInfo = moduleData:hget_json(uid, MODULE_NAME, clusterName)
    if is_empty(nodeInfo) then
        nodeInfo = nil
    end
    return nodeInfo
end

return root
