--[[
Descripttion:邮件
version:
Author: Neo,Huang
Date: 2022-08-17 16:04:20
LastEditors: Neo,Huang
LastEditTime: 2022-08-19 20:12:34
--]]
local root = class("mail", require("base.baseModule"))

function root:ctor(id)
	root.super.ctor(self, id, "mail", "id", true, false)
	self.id = id
end

function root:mysql_get_init_columns()
	return {
		id = "bigint(20) NOT NULL COMMENT '邮件ID'",
		uid = "bigint(20) DEFAULT 0 COMMENT '接收人'",
		channel = "int(11) DEFAULT 0 COMMENT '渠道编号'",
		title = "varchar(50) DEFAULT '系统通知' COMMENT '邮件标题'",
		cnt = "varchar(400) DEFAULT 1 COMMENT '邮件内容'",
		items = "json COMMENT '邮件物品列表'",
		ty = "int(11) DEFAULT 1 COMMENT '邮件类型'",
		createTime = "int(11) DEFAULT 0 COMMENT '发送时间'",
		expireTime = "int(11) DEFAULT 0 COMMENT '过期时间 -1:常驻邮件'",
		src = "varchar(50) DEFAULT 'sys' COMMENT '邮件来源'"
	}
end

return root
