--[[
Descripttion:玩家信息
version:
Author: Neo,Huang
Date: 2022-05-26 19:45:58
LastEditors: Neo,Huang
LastEditTime: 2022-05-26 19:46:41
--]]
local moduleData = require("data.module")

local root = {}

-- 玩家信息
function root:get_base_info(uid)
    local info = {
        uid = uid,
        nickname = moduleData:hget(uid, "user", "nickname"),
        icon = moduleData:hget(uid, "user", "headUrl"),
        level = moduleData:hget_int(uid, "player", "level"),
        vipLevel = moduleData:hget_int(uid, "player", "vipLevel"),
        registerVersion = moduleData:hget(uid, "user", "registerVersion"),
        activeDays = moduleData:hget(uid, "player", "activeDays")
    }
    return info
end

-- 玩家基础信息
function root:get_player_info(uid)
    local info = {
        uid = uid,
        nickname = moduleData:hget(uid, "user", "nickname"),
        icon = moduleData:hget(uid, "user", "headUrl"),
        level = moduleData:hget_int(uid, "player", "level"),
        vipLevel = moduleData:hget_int(uid, "player", "vipLevel"),
        registerVersion = moduleData:hget(uid, "user", "registerVersion"),
        activeDays = moduleData:hget(uid, "player", "activeDays"),
        phone = moduleData:hget(uid, "user", "phone"),
        bandShareCode = moduleData:hget(uid, "user", "bandShareCode"),
        shareCode = moduleData:hget(uid, "user", "shareCode"),
        steamLink = moduleData:hget(uid, "user", "steamLink"),
        isRealname = false
    }
    return info
end

return root
