abspath=$(cd "$(dirname "$0")";pwd)
source $abspath/func.sh

check_debug

if [[ -n $1 ]]; then
    set_global nolog
    nodeList=`get_process_list`
    for pname in ${nodeList[@]} ; do
        if [ ${pname} == ${1} ]; then
            yellow_echo "sh service.sh restart $1"
            sh service.sh restart $1
            exit
        fi
    done
    if [ "all" != ${1} ]; then
        red_echo "请输入正确进程名，如果输入“all”将在不更新git情况下重启服务器，不输入任何值则更新git后重启服务器"
        exit
    fi
fi


sh service.sh kill

if [[ ! -n $1 ]]; then
    # 更新配置
    cd ../config
    git pull

    # 更新协议
    cd ../proto
    git pull

    # 更新代码
    cd ../
    git pull

    cd ./shell
fi

sh service.sh start
