--[[
Descripttion:战斗记录
version:
Author: Neo,Huang
Date: 2023-11-18 12:13:14
LastEditors: Neo,Huang
LastEditTime: 2023-11-18 12:13:46
--]]
local root = class("battlerecord", require("base.baseModule"))

function root:ctor(id)
	root.super.ctor(self, id, "battlerecord", "id", true, false)
	self.id = id
end

function root:mysql_get_init_columns()
	return {
		id = "bigint(20) NOT NULL COMMENT '邮件ID'",
		roomId = "bigint(20) DEFAULT 0 COMMENT '房间号'",
		battleBoxList = "json COMMENT '战斗箱子ID列表'",
		createTime = "int(11) DEFAULT 0 COMMENT '房间创建时间'",
		battleTime = "int(11) DEFAULT 0 COMMENT '战斗开始时间'",
		battleId = "varchar(50) DEFAULT '' COMMENT '战斗编号'",
		winUid = "int(11) DEFAULT 0 COMMENT '胜利玩家ID'",
		totalPrice = "int(11) DEFAULT 0 COMMENT '掉落饰品总价格'",
		battlePlayerList = "json COMMENT '战斗玩家列表'",
		expireTime = "int(11) DEFAULT 0 COMMENT '过期时间'",
		battleUid1 = "int(11) DEFAULT 0 COMMENT '战斗玩家ID'",
		battleUid2 = "int(11) DEFAULT 0 COMMENT '战斗玩家ID'",
		battleUid3 = "int(11) DEFAULT 0 COMMENT '战斗玩家ID'",
		battleUid4 = "int(11) DEFAULT 0 COMMENT '战斗玩家ID'",
		battleUid5 = "int(11) DEFAULT 0 COMMENT '战斗玩家ID'"
	}
end

return root
