--[[
Descripttion:追梦记录
version:
Author: Neo,Huang
Date: 2022-08-17 16:04:20
LastEditors: Neo,Huang
LastEditTime: 2022-08-19 20:12:34
--]]
local root = class("dream", require("base.baseModule"))

function root:ctor(id)
	root.super.ctor(self, id, "dream", "id", true, false)
	self.id = id
end

function root:mysql_get_init_columns()
	return {
		id = "bigint(20) NOT NULL COMMENT '邮件ID'",
		uid = "bigint(20) DEFAULT 0 COMMENT '抽奖玩家ID'",
		itemId = "int(11) DEFAULT 0 COMMENT '掉落时价格'",
		dropItem = "json COMMENT '掉落物品'",
		price = "int(11) DEFAULT 0 COMMENT '掉落时价格'",
		odds = "int(11) DEFAULT 0 COMMENT '使用概率'",
		isWin = "int(11) DEFAULT 0 COMMENT '是否中奖 0:不中奖 1:中奖'",
		dropTime = "int(11) DEFAULT 1 COMMENT '掉落时间戳'",
		expireTime = "int(11) DEFAULT 0 COMMENT '过期时间'"
	}
end

return root
