local root = class("player", require("base.baseModule"))

function root:ctor(uid)
    root.super.ctor(self, uid, "player", "uid", true)
    self.uid = uid
end

function root:mysql_get_init_columns()
    return {
        uid = "int(11) unsigned NOT NULL",
        loginTime = "int(11) DEFAULT 0 COMMENT '当前登录时间'",
        lastLoginTime = "int(11) DEFAULT 0 COMMENT '上次登录时间'",
        logoutTime = "int(11) DEFAULT 0 COMMENT '登出时间'",
        activeDays = "int(11) DEFAULT 0 COMMENT '活跃天数'",
        level = "int(11) DEFAULT 0 COMMENT '玩家等级'",
        vipLevel = "int(11) DEFAULT 0 COMMENT '贵族等级'"
    }
end

-- 登录
function root:do_login()
end

return root
