--[[
Descripttion:roll房
version:
Author: Neo,Huang
Date: 2022-08-17 16:04:20
LastEditors: Neo,Huang
LastEditTime: 2022-08-19 20:12:34
--]]
local root = class("roll", require("base.baseModule"))

function root:ctor(id)
	root.super.ctor(self, id, "roll", "id", true, false)
	self.id = id
end

function root:mysql_get_init_columns()
	return {
		id = "bigint(20) NOT NULL COMMENT '活动ID'",
		name = "varchar(64) DEFAULT NULL COMMENT '房间名'",
		bandShareCode = "varchar(10) DEFAULT NULL COMMENT '绑定推广码'",
		createTime = "int(11) DEFAULT 0 COMMENT '创建时间'",
		showStartTime = "int(11) DEFAULT 0 COMMENT '开始展示时间'",
		signupStartTime = "int(11) DEFAULT 0 COMMENT '报名开始时间'",
		signupEndTime = "int(11) DEFAULT 0 COMMENT '报名结束时间'",
		awardTime = "int(11) DEFAULT 0 COMMENT '开奖时间'",
		conditions = "json COMMENT '参与条件列表'",
		itemIdList = "json COMMENT '奖励物品ID列表'",
		signupUidList = "json COMMENT '报名玩家ID列表列表'"
	}
end

return root
