--[[
Descripttion:兑换码
version:
Author: Neo,Huang
Date: 2023-11-19 22:58:58
LastEditors: Neo,Huang
LastEditTime: 2023-11-19 22:59:25
--]]
local code = require "code"
local util_exchange_code = require("utils.util_exchange_code")
local util_player = require("utils.util_player")

local root = {}

-- 模块信息
function root:exchange_get_info(role, msg)
    local list = util_exchange_code:get_records()
    local ret = {}
    if not is_empty(list) then
        for _, v in ipairs(list) do
            local info = {
                playerInfo = util_player:get_base_info(v.uid),
                items = v.items
            }
            if is_empty(ret.records) then
                ret.records = {}
            end
            table.insert(ret.records, info)
        end
    end
    return code.OK, ret
end
-- 领取
function root:exchange_get_award(role, msg)
    return role.exchangecode:itf_exchange_code(role, msg)
end

return root
