--[[
Descripttion:roll房
version:
Author: Neo,Huang
Date: 2023-11-21 23:02:31
LastEditors: Neo,Huang
LastEditTime: 2023-11-21 23:02:43
--]]
local code = require "code"
local util_roll = require("utils.util_roll")

local root = {}

-- 获取房间列表
function root:roll_get_info(role, msg)
    local roomInfoList = util_roll:pack_roll_room_info_list()
    return code.OK, {roomList = roomInfoList}
end

-- 报名
function root:roll_sign_up(role, msg)
    local roomId = msg.roomId
    return util_roll:sign_up(role.uid, roomId)
end

return root
