--[[
Descripttion:玩家
version:
Author: Neo,Huang
Date: 2023-11-15 22:34:35
LastEditors: Neo,Huang
LastEditTime: 2023-11-15 23:19:26
--]]
local code = require "code"
local timeUtil = require("utils.timeUtil")
local util_user = require("utils.util_user")

local root = {}

function root:user_keepalive(role)
    return code.OK, {systemTime = timeUtil.now(role.uid)}
end

-- 请求个人信息
function root:user_self_info(role, msg)
    return role.user:itf_get_info(role, msg)
end
-- 登录完成后
function root:after_user_self_info(role, msg)
    local pack = {}
    util_user:user_proto_notify(role.uid, "on_user_system_info", pack)
end

-- 获取验证码
function root:user_get_verify_code(role, msg)
    return role.user:itf_get_verify_code(role, msg)
end

-- 更新主播邀请码
function root:user_update_band_share_code(role, msg)
    return role.user:itf_update_band_share_code(role, msg)
end

-- 更新自己邀请码
function root:user_update_share_code(role, msg)
    return role.user:itf_update_share_code(role, msg)
end

-- 更新steam交易链接
function root:user_update_steam_link(role, msg)
    return role.user:itf_update_steam_link(role, msg)
end

-- 更新头像
function root:user_update_icon(role, msg)
    return role.user:itf_update_icon(role, msg)
end

-- 更新昵称
function root:user_update_nickname(role, msg)
    return role.user:itf_update_nickname(role, msg)
end

-- 更新密码
function root:user_update_password(role, msg)
    return role.user:itf_update_password(role, msg)
end

-- 注销
function root:user_cancel_account(role, msg)
    return role.user:itf_cancel_account(role, msg)
end

-- 实名认证 - 更新信息
function root:user_identity_update_info(role, msg)
    return role.user:itf_identity(role, msg)
end

return root
