--[[
Descripttion:
version:
Author: Neo,Huang
Date: 2022-08-17 16:04:20
LastEditors: Neo,Huang
LastEditTime: 2022-08-24 14:09:22
--]]
local skynet = require "skynet"
require "skynet.manager" -- import skynet.name
local init_nodes = require("init_nodes")

skynet.start(
	function()
		-- 初始化控制台
		init_nodes:init_console()

		-- 日志
		init_nodes:init_logger()

		skynet.uniqueservice("logMgrSrv")
		skynet.newservice("writeLogSrv", 3, ".server_log", "true")
		skynet.newservice("writeLogSrv", 3, ".client_log", "true")

		-- 集群
		init_nodes:init_cluster()
		skynet.send(".steward", "lua", "node_hb_to_master")

		skynet.exit()
	end
)
