--[[
Descripttion:节点配置
version:
Author: Neo,Huang
Date: 2022-07-05 13:40:50
LastEditors: Neo,Huang
LastEditTime: 2022-07-05 13:41:07
--]]
local root = {}

-- 网关
root["gate1_1"] = {
    -- 游戏服务数据库
    ip = "127.0.0.1",
    port = 8000,
    maxClient = 5000,
    nodelay = 1,
    protocol = "ws",
    weight = 50, -- 权重
    wsPort = 8001 -- websocket端口
}

-- 登陆服
root["login1_1"] = {
    -- 游戏服务数据库
    ip = "0.0.0.0",
    port = 8002,
    agentCount = 1,
    bodyLimit = 8192
}

return root
